<mat-card>
  <mat-toolbar color="primary">Cursos Disponíveis</mat-toolbar>

  <div class="column-flex mat-elevation-z8">

    <app-courses-list
      *ngIf="courses$ | async as courses; else loading"
      [courses] = "courses"
      (add)="onAdd()"
      (edit)="onEdit($event)"
    ></app-courses-list>

    <ng-template #loading>
      <div class="loading-spinner">
        <mat-spinner></mat-spinner>
      </div>
    </ng-template>

  </div>

</mat-card>
